/*
 * Copyright 2021 the original author or authors.
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * https://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.openrewrite.terraform

import org.junit.jupiter.api.Test
import org.openrewrite.hcl.Assertions.hcl
import org.openrewrite.test.RecipeSpec
import org.openrewrite.test.RewriteTest

class SecureRandomTest : RewriteTest {

    override fun defaults(spec: RecipeSpec) {
        spec.recipe(SecureRandom(20))
    }

    @Test
    fun secureRandom() = rewriteRun(
        hcl("""
            resource "random_id" "random" {
              byte_length = 11
            }
            """,
            """
            resource "random_id" "random" {
              byte_length = 20
            }
            """)
    )
}
